httpd-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From m...@hyperreal.org
Subject cvs commit: apache-1.3/src/modules/standard mod_auth.c
Date Mon, 19 Oct 1998 05:43:35 GMT
marc        98/10/18 22:43:35

  Modified:    src      CHANGES
               src/modules/standard mod_auth.c
  Log:
  Log an error if we encounter a malformed "require" directive in
  mod_auth if we know that we know that no other module can deal with
  it.
  
  Revision  Changes    Path
  1.1112    +4 -0      apache-1.3/src/CHANGES
  
  Index: CHANGES
  ===================================================================
  RCS file: /export/home/cvs/apache-1.3/src/CHANGES,v
  retrieving revision 1.1111
  retrieving revision 1.1112
  diff -u -r1.1111 -r1.1112
  --- CHANGES	1998/10/19 02:16:25	1.1111
  +++ CHANGES	1998/10/19 05:43:33	1.1112
  @@ -1,5 +1,9 @@
   Changes with Apache 1.3.4
   
  +  *) Log an error if we encounter a malformed "require" directive 
  +     in mod_auth if we know that we know that no other module can
  +     deal with it.  [Marc Slemko]
  +
     *) Remove ap_private_extern method of hiding conflicting symbols
        on the NEXT platform because it is not correct for all versions,
        and the versions for which it is correct are unknown.
  
  
  
  1.41      +10 -0     apache-1.3/src/modules/standard/mod_auth.c
  
  Index: mod_auth.c
  ===================================================================
  RCS file: /export/home/cvs/apache-1.3/src/modules/standard/mod_auth.c,v
  retrieving revision 1.40
  retrieving revision 1.41
  diff -u -r1.40 -r1.41
  --- mod_auth.c	1998/10/03 15:11:52	1.40
  +++ mod_auth.c	1998/10/19 05:43:34	1.41
  @@ -283,6 +283,16 @@
   		if (ap_table_get(grpstatus, w))
   		    return OK;
   	    }
  +	} else if (sec->auth_authoritative) {
  +	    /* if we aren't authoritative, any require directive could be
  +	     * valid even if we don't grok it.  However, if we are 
  +	     * authoritative, we can warn the user they did something wrong.
  +	     * That something could be a missing "AuthAuthoritative off", but
  +	     * more likely is a typo in the require directive.
  +	     */
  +	    ap_log_rerror(APLOG_MARK, APLOG_NOERRNO|APLOG_ERR, r,
  +		"access to %s failed, reason: unknown require directive:"
  +		"\"%s\"", r->uri, reqs[x].requirement);
   	}
       }
   
  
  
  

Mime
View raw message